require "lizi/version"
require 'lizi/translator'
require 'active_support/configurable'
# require 'rails'
require 'lizi/my_railtle' if defined?(Rails)


module Lizi

	class Configuration
		include ActiveSupport::Configurable
		config_accessor :name
		config_accessor :email
		# configure do |config|
		# 	self.config.name = "spf"
		# 	self.config.email = "spfzzz@163.com"	
		# end

	end
	
	def self.configure(&block)
		yield @config ||= Configuration.new
	end

	def self.config
		@config
	end

	configure do |config|
		config.name = "spf"
		config.email = "spfzzz@163.com"	
	end

  # Your code goes here...
	def self.hello_world(language = "english")
		translator = Translator.new(language)
		translator.hi
	end
end
